<?php 
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$mes=date('m');
if($mes==1){ $n_mes="Enero"; }
if($mes==2){ $n_mes="Febrero"; } 
if($mes==3){ $n_mes="Marzo"; } 
if($mes==4){ $n_mes="Abril"; } 
if($mes==5){ $n_mes="Mayo"; } 
if($mes==6){ $n_mes="Junio"; } 
if($mes==7){ $n_mes="Julio"; } 
if($mes==8){ $n_mes="Agosto"; }
if($mes==9){ $n_mes="Septiembre"; } 
if($mes==10){ $n_mes="Octubre"; } 
if($mes==11){ $n_mes="Noviembre"; } 
if($mes==12){ $n_mes="Diciembre"; } 
?>
    


    <script type="text/javascript">
      google.charts.load('current', {'packages':['bar']});
      google.charts.setOnLoadCallback(drawChart);

      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['<?php echo $n_mes; ?>', 'Vendedor'],

<?php 
$usu=mysqli_query($con,"SELECT * FROM usuario where empresa_emp_id='$empresa' and eliminado<>'si' and usu_estado='Activo' ") or die(mysqli_error($con));
  while ($us=mysqli_fetch_array($usu))
    {
      $usu_idv=$us['usu_id'];
       $usu_username=$us['usu_username'];
        $usu_empleado=$us['usu_nombre'];    ?> 

    <?php  $to=0;
      $registros=mysqli_query($con,"SELECT * FROM ventas where vendedor='$usu_idv' and empresa='$empresa' and MONTH(ven_fecha)='$mes' and ven_estado<>'anulada' order by ven_n_venta desc ") or die(mysqli_error($con));
        while ($reg=mysqli_fetch_array($registros))
          {
            $ven_id=$reg['ven_id'];

            $desc=0;
            $sumador_total=0;
            $sql=mysqli_query($con, "SELECT * from  venta_detalle where ventas_ven_id='$ven_id'");
             while ($row=mysqli_fetch_array($sql))
              {
                $vend_referencia=$row['vend_referencia'];
                $vend_nombre=$row['vend_nombre'];
                $vend_cantidad=$row['vend_cantidad'];
                $vend_precio=$row['vend_precio'];
                $vend_iva=$row['vend_iva'];
                $vend_descuento=$row['vend_desc'];
                $ivaf=$vend_iva/100;
                $precio_total=$vend_precio*$vend_cantidad;
                $descuento=($vend_descuento/100)*$precio_total;
                $iva=$vend_precio*$ivaf;
                $sin_iva=$vend_precio-$iva;
                $sumador_total+=$precio_total-$descuento;//Sumador
                $desc+=$descuento;
              } 
            $to+=$sumador_total; 
          } //echo number_format($to,0);  
  ?>

          ['<?php echo $usu_empleado; ?>', <?php echo $to; ?>],
          
 <?php   
  }
?>
        ]);

        var options = {
          chart: {
            title: 'Ventas por vendedor',
          }
        };

        var chart = new google.charts.Bar(document.getElementById('barras'));

        chart.draw(data, google.charts.Bar.convertOptions(options));
      }
    </script>


       </diV><div class="col-md-12">
          <div class="widget stacked">
            <div class="widget-content">
               <div id="barras" style="height: 330px;"></div>
            </div> <!-- /widget-content -->
          </div> <!-- /widget -->   
      </div> <!-- /.span6 --></div>
      

